Bug 46878 - Pump exits when it cannot renew lease
Summary: Pump exits when it cannot renew lease
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-01 17:24 UTC by John William
Modified: 2007-04-18 16:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-13 18:54:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John William 2001-07-01 17:24:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
Running pump-0.8.11-1 - if the ethernet connection is down at renewal time 
pump seems to just exit. Earlier versions gave a "no more interfaces under 
management" in /var/log/messages, but I don't get that any more.

How reproducible:
Always

Steps to Reproduce:
1. Put an interface under management by pump
2. Unplug ethernet cable (or other suitable network failure :-)
3. Wait for pump to renew


Actual Results:  Pump just seems to exit and leave the interface down. It 
has be be manually restarted.

Expected Results:  Pump should continue to try to renew the lease rather 
than exiting.

Additional info:

Comment 1 zeroday26 2001-09-13 18:54:09 UTC
Ive seen similiar behaivhor- I have a DSL connection which sometimes may refuse
to renew the lease if its upstream connection goes down. I dont see pump exit- 
its still running. It just doesnt recover when the network comes back up.

Comment 2 Elliot Lee 2001-09-21 00:18:44 UTC
dhcpcd is now the DHCP client of choice in rawhide...

Comment 3 Martijn 2002-02-27 09:53:49 UTC
Perhaps the package descriptions should be changed to reflect this. Now dhcpcd sais:

'The dhcpcd package includes a DHCP client, but we
suggest that you instead install the DHCP client included in the pump
package, which provides a faster and simpler DHCP client.'

The pump package (which has been moved to cd2 though) does not mention dhcpcd at
all.


Note You need to log in before you can comment on or make changes to this bug.